<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import UserModule from "~/store/user";

@Component({})
export default class AuthLoginComponent extends Vue {
  userModule = getModule(UserModule, this.$store);

  isAdmin = true;

  loading = false;
  isHidePassword = false;

  user = {
    email: "",
    password: "",
    role: 1,
    code: "",
  };

  async onHandleLogin() {
    try {
      const reEmail =
        /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
      if (!this.user.email) {
        return this.$pushNotification.error(`Please enter your email`);
      } else if (!reEmail.test(this.user.email)) {
        return this.$pushNotification.error(`Invalid email`);
      } else if (!this.user.password) {
        return this.$pushNotification.error(`Please enter your password`);
      } else if (this.user.password.length < 6) {
        return this.$pushNotification.error(`Password must be greater than 6`);
      }
      this.loading = true;
      await this.$store.dispatch("user/login", {
        ctx: this,
        payload: this.user,
      });
    } catch (error) {
      console.log("error :>> ", error);
    } finally {
      this.loading = false;
    }
  }

  get isTwofa() {
    return this.$store.state?.user?.isTwofa || false;
  }
}
</script>

<style>
/* .bg-logo {
	background: rgba(255, 255, 255, 0.16);
} */
#backgroundLinear {
  background: #f1f2f3;
}
</style>
